<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_10"
    android:layout_marginRight="@dimen/dp_10"
    android:background="@drawable/shape_white_eight_corners_bg"
    android:elevation="@dimen/dp_4"
    android:orientation="vertical"
    android:paddingBottom="@dimen/dp_6">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:padding="@dimen/dp_10">

        <TextView
            android:id="@+id/tv_warehouse_details_food_name"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_16"
            tools:text="巴西肥牛" />

        <TextView
            android:id="@+id/tv_warehouse_details_food_unit"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_14"
            tools:text="250g/個" />

        <TextView
            android:id="@+id/tv_warehouse_details_food_num"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="right"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_19"
            tools:text="+50" />
    </LinearLayout>

    <include layout="@layout/include_horizontal_color_eee_dividing_line" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_9"
        android:paddingTop="@dimen/dp_9"
        android:paddingRight="@dimen/dp_9">

        <TextView
            android:id="@+id/tv_warehouse_order_time_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="下單日期："
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_16" />

        <TextView
            android:id="@+id/tv_warehouse_details_supplier"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="end"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_14"
            tools:text="肥牛天地供應商" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_6"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_9"
        android:paddingTop="@dimen/dp_9"
        android:paddingRight="@dimen/dp_9">

        <TextView
            android:id="@+id/tv_warehouse_time_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="入庫日期："
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_16"
            android:visibility="gone" />

        <TextView
            android:id="@+id/tv_warehouse_details_remarks"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_toLeftOf="@id/tv_warehouse_details_reason"
            android:paddingRight="@dimen/dp_5"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_14"
            android:visibility="visible"
            tools:text="備註：" />

        <TextView
            android:id="@+id/tv_warehouse_details_reason"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:gravity="end"
            android:textColor="@color/color_3c"
            android:textSize="@dimen/sp_14"
            tools:text="採購入庫" />
    </RelativeLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/tv_warehouse_state"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_4"
            android:layout_weight="1"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_4"
            android:paddingRight="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_4"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_14"
            tools:text="即將過期：3日" />


        <TextView
            android:id="@+id/tv_warehouse_expires_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_4"
            android:paddingLeft="@dimen/dp_10"
            android:paddingTop="@dimen/dp_4"
            android:layout_marginLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            android:paddingBottom="@dimen/dp_4"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_14"
            tools:text="即將過期：3日" />

    </LinearLayout>

</LinearLayout>